Page MenuHomePhabricator

Cannot add or update records under DNS zones in Horizon
Closed, ResolvedPublic

Description

I have a funny feeling this might be https://gerrit.wikimedia.org/r/#/c/345637/ but it was a long time ago - that adds various references to zone_primary_or_admin, but it isn't defined for liberty or mitaka, only ocata:

alex@alex-laptop:~/Development/Wikimedia/Operations-Puppet (production)$ git grep zone_primary_or_admin
modules/openstack/files/liberty/designate/policy.json:    "create_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/liberty/designate/policy.json:    "update_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/liberty/designate/policy.json:    "delete_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/mitaka/designate/policy.json:    "create_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/mitaka/designate/policy.json:    "update_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/mitaka/designate/policy.json:    "delete_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/ocata/designate/policy.json:    "zone_primary_or_admin": "('PRIMARY':%(zone_type)s and rule:admin_or_owner) OR ('SECONDARY':%(zone_type)s AND is_admin:True)",
modules/openstack/files/ocata/designate/policy.json:    "create_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/ocata/designate/policy.json:    "update_recordset": "rule:zone_primary_or_admin",
modules/openstack/files/ocata/designate/policy.json:    "delete_recordset": "rule:zone_primary_or_admin",

Details

Related Gerrit Patches:

Event Timeline

Krenair created this task.May 19 2018, 1:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2018, 1:13 PM
Krenair triaged this task as High priority.May 19 2018, 1:13 PM
Krenair added subscribers: bd808, Andrew, aborrero.
Krenair added a comment.EditedMay 19 2018, 1:36 PM

Looks like it was missed in https://gerrit.wikimedia.org/r/#/c/408944/ (which got moved from queens to ocata in https://gerrit.wikimedia.org/r/#/c/411545/ )

Krenair raised the priority of this task from High to Needs Triage.May 19 2018, 2:41 PM
Krenair added a comment.EditedMay 20 2018, 10:23 PM

For now I have resorted to creating krenair.hopto.org and pointing it at my Labs floating IP

ArielGlenn triaged this task as Medium priority.May 21 2018, 10:13 AM

Change 436354 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Designate policy.json: Rename 'domain' to 'zone' in Ocata

https://gerrit.wikimedia.org/r/436354

Change 436354 merged by Andrew Bogott:
[operations/puppet@production] Designate policy.json: Rename 'domain' to 'zone' in Ocata

https://gerrit.wikimedia.org/r/436354

Change 436357 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Designate: remove the 'zone_primary_or_admin' rule.

https://gerrit.wikimedia.org/r/436357

Change 436357 merged by Andrew Bogott:
[operations/puppet@production] Designate: remove the 'zone_primary_or_admin' rule.

https://gerrit.wikimedia.org/r/436357

Andrew closed this task as Resolved.May 30 2018, 8:02 PM
Andrew claimed this task.

@Krenair confirms that this is now fixed

Vvjjkkii renamed this task from Cannot add or update records under DNS zones in Horizon to 0ocaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Andrew as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 0ocaaaaaaa to Cannot add or update records under DNS zones in Horizon.Jul 2 2018, 4:49 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Andrew.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.